<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.performance.hipsnjobMapper">
    <insert id="insertOrUpdate" parameterType="java.util.List" >
            INSERT INTO hi_psnjob 
            (ORIBILLTYPE,ORIBILLPK,OCCUPATION,MEMO,JOBMODE,DEPOSEMODE,DATAORIGINFLAG,JOBGLBDEF11,JOBGLBDEF10,JOBGLBDEF9,JOBGLBDEF8,JOBGLBDEF7,JOBGLBDEF6,JOBGLBDEF3,WORKTYPE,SERIES,PK_ORG_V,PK_JOBRANK,PK_JOB_TYPE,PK_JOB,PK_DEPT_V,PK_PSNJOB, TS,PK_PSNCL, ENDFLAG, POSTSTAT,ASSGID,PK_PSNORG,MODIFIER,TRNSREASON,TRNSTYPE, MODIFIEDTIME,PK_GROUP, BEGINDATE,ISMAINJOB,PK_POSTSERIES, RN, CLERKCODE,PK_DEPT, PK_HRORG,CREATOR,PK_POST,TRNSEVENT,PK_ORG ,SHOWORDER,DR,JOBGLBDEF1,JOBGLBDEF2,JOBGLBDEF4,PSNTYPE,TRIAL_FLAG,LASTFLAG,CREATIONTIME,PK_HRGROUP,RECORDNUM,JOBGLBDEF5,PK_PSNDOC) 
            VALUES  
            <foreach collection="hij" item="bdlist"  separator=",">         
            (#{bdlist.ORIBILLTYPE},#{bdlist.ORIBILLPK},#{bdlist.OCCUPATION},#{bdlist.MEMO},#{bdlist.JOBMODE},#{bdlist.DEPOSEMODE},#{bdlist.DATAORIGINFLAG},#{bdlist.JOBGLBDEF11},#{bdlist.JOBGLBDEF10},#{bdlist.JOBGLBDEF9},#{bdlist.JOBGLBDEF8},#{bdlist.JOBGLBDEF7},#{bdlist.JOBGLBDEF6},#{bdlist.JOBGLBDEF3},#{bdlist.WORKTYPE},#{bdlist.SERIES},#{bdlist.PK_ORG_V},#{bdlist.PK_JOBRANK},#{bdlist.PK_JOB_TYPE},#{bdlist.PK_JOB},#{bdlist.PK_DEPT_V},#{bdlist.PK_PSNJOB}, #{bdlist.TS}, #{bdlist.PK_PSNCL}, #{bdlist.ENDFLAG}, #{bdlist.POSTSTAT},#{bdlist.ASSGID},#{bdlist.PK_PSNORG},#{bdlist.MODIFIER},#{bdlist.TRNSREASON},#{bdlist.TRNSTYPE}, #{bdlist.MODIFIEDTIME}, #{bdlist.PK_GROUP},#{bdlist.BEGINDATE},#{bdlist.ISMAINJOB},#{bdlist.PK_POSTSERIES}, #{bdlist.RN}, #{bdlist.CLERKCODE},#{bdlist.PK_DEPT},#{bdlist.PK_HRORG},#{bdlist.CREATOR},#{bdlist.PK_POST},#{bdlist.TRNSEVENT},#{bdlist.PK_ORG},#{bdlist.SHOWORDER},#{bdlist.DR},#{bdlist.JOBGLBDEF1},#{bdlist.JOBGLBDEF2},#{bdlist.JOBGLBDEF4},#{bdlist.PSNTYPE},#{bdlist.TRIAL_FLAG},#{bdlist.LASTFLAG},#{bdlist.CREATIONTIME} ,#{bdlist.PK_HRGROUP},#{bdlist.RECORDNUM},#{bdlist.JOBGLBDEF5},#{bdlist.PK_PSNDOC})             
           
            </foreach>                    
    </insert>
</mapper>